%global gitdate 20210504
%global gitcommit 0f9e7d995a14f15666600fc8598f941b619d82fe
%global shortcommit %(c=%{gitcommit}; echo ${c:0:7})
%global xdriinfo xdriinfo-1.0.4
%global demodir %{_libdir}/mesa

Summary: Mesa demos
Name: mesa-demos
Version: 8.4.0
Release: 3.%{gitdate}git%{shortcommit}%{?dist}
License: MIT
URL: http://www.mesa3d.org
Source0: mesa-demos-%{gitdate}.tar.bz2
Source1: http://www.x.org/pub/individual/app/%{xdriinfo}.tar.bz2
Patch3000: mesa-demos-8.0.1-legal.patch
Patch3001: mesa-demos-as-needed.patch
Patch3002: xdriinfo-1.0.4-glvnd.patch
BuildRequires: make, gcc-c++, pkgconfig, autoconf, automake, libtool
BuildRequires: mesa-libGL-devel, mesa-libEGL-devel, mesa-libGLES-devel, mesa-libgbm-devel
BuildRequires: freeglut-devel, libGLU-devel, libXext-devel, wayland-devel, freetype-devel

%description
This package provides some demo applications for testing Mesa.

%package -n glx-utils
Summary: GLX utilities
Provides: glxinfo

%description -n glx-utils
The glx-utils package provides the glxinfo and glxgears utilities.

%package -n egl-utils
Summary: EGL utilities
Provides: eglinfo es2_info

%description -n egl-utils
The egl-utils package provides the eglinfo and es2_info utilities.



%prep
%setup -q -n %{name}-%{gitdate} -b1
%patch3000 -p1 -b .legal
%patch3001 -p1 -b .asneeded
pushd ../%{xdriinfo}
%patch3002 -p1
popd

rm -rf src/demos/pointblast.c
rm -rf src/demos/spriteblast.c



%build
autoreconf -vfi
%configure \
    --bindir=%{demodir} \
    --with-system-data-files \
    --enable-x11 \
    --enable-wayland \
    --enable-gbm \
    --enable-egl \
    --enable-gles2 \
    --enable-libdrm \
    --enable-freetype2

%make_build

pushd ../%{xdriinfo}
%configure
%make_build
popd



%install
%make_install

pushd ../%{xdriinfo}
%make_install
popd

install -m 0755 src/xdemos/glxgears %{buildroot}%{_bindir}
install -m 0755 src/xdemos/glxinfo %{buildroot}%{_bindir}
install -m 0755 src/egl/opengl/eglinfo %{buildroot}%{_bindir}
install -m 0755 src/egl/opengles2/es2_info %{buildroot}%{_bindir}



%check



%files
%{demodir}
%{_datadir}/%{name}/

%files -n glx-utils
%{_bindir}/glxinfo*
%{_bindir}/glxgears
%{_bindir}/xdriinfo
%{_datadir}/man/man1/xdriinfo.1*

%files -n egl-utils
%{_bindir}/eglinfo
%{_bindir}/es2_info



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-3.20210504git0f9e7d9
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-2.20210504git0f9e7d9
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 Zhao Zhen <jeremiazhao@tencent.com> - 8.4.0-1.20210504git0f9e7d9
- initial
